/*
 * A TEI Viewer for East Asian Pre-Modern Texts
 *
 * Originally written by Kiyonori NAGASAKI (International Institute for Digital Humanities)
 * Modified by Jun HOMMA (FLX Style)
 */
"use strict";function copyAttributes(t,e){for(var a=t.attributes,n=0;n<a.length;n++){var s=a[n];s.name.indexOf(":")>-1?(e.setAttribute(s.name,s.value),e.setAttribute("data-"+s.name.replace(":",""),s.value)):0===s.name.indexOf("data-")?e.setAttribute(s.name,s.value):e.setAttribute("data-"+s.name,s.value)}t.hasAttribute("style")&&e.setAttribute("style",t.getAttribute("style"))}function preprocessSelfClosingTags(t){t.querySelectorAll("anchor").forEach(e=>{const a=t.createElement("param");a.setAttribute("class","anchor"),copyAttributes(e,a),e.parentNode.replaceChild(a,e)}),t.querySelectorAll("milestone").forEach(e=>{const a=t.createElement("param");a.setAttribute("class","milestone"),copyAttributes(e,a),e.parentNode.replaceChild(a,e)}),t.querySelectorAll("lb").forEach(e=>{const a=t.createElement("br");a.setAttribute("class","lb"),copyAttributes(e,a),e.parentNode.replaceChild(a,e)})}function replaceWithElement(t,e){var a=t.nodeName.toLowerCase();const n=document.createElement(e);if(n.setAttribute("class",a),n.setAttribute("data-original-tag-name",t.nodeName),copyAttributes(t,n),t.hasChildNodes()){let e=t.childNodes;for(const t of e)n.appendChild(t.cloneNode(!0))}t.parentNode.replaceChild(n,t)}function normalizeSpaceXML(t){const e=(new DOMParser).parseFromString('<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:tei="http://www.tei-c.org/ns/1.0"><xsl:template match="node()|@*"><xsl:copy><xsl:apply-templates select="@*"/><xsl:apply-templates/></xsl:copy></xsl:template><xsl:template match="text()"><xsl:value-of select="normalize-space(.)"/></xsl:template></xsl:stylesheet>',"application/xml"),a=new XSLTProcessor;return a.importStylesheet(e),a.transformToDocument(t)}function showAppPlace(t,e,a,n){var s=t instanceof Element?t.innerHTML:t;s=(s=s.replace(/&amp;T[0-9]{6};/g,"〿")).replace(/&amp;MT[0-9]{5};/g,"〿"),a||(a=1);const i=new DOMParser,o=i.parseFromString("<div>"+s+"</div>","application/xml");function l(t,e,a,n,s){!function t(e,a,n,s,i,o){const l=e.childNodes;for(var r=0;r<l.length;r++){const e=l[r],f=e.nodeType;var d=!1,c=!1,p=!1;if(f===Node.ELEMENT_NODE&&"param"===e.nodeName&&(d=!0,e.hasAttribute("xml:id"))){const t=e.getAttribute("xml:id");t===s&&(c=!0),t===i&&(p=!0)}if(d||f===Node.TEXT_NODE){var h=!1;if(d?(c&&(o.flag=!0),p&&(o.flag=!1),(c||p)&&(h=!0)):f===Node.TEXT_NODE&&o.flag&&e.textContent.trim().length>0&&(h=!0),h){const t=document.createElement("span");t.classList.add("ct"),t.setAttribute("data-n",String(n)),t.appendChild(e.cloneNode(!0)),a.appendChild(t)}else a.appendChild(e.cloneNode(!0))}else if(f===Node.ELEMENT_NODE||f===Node.DOCUMENT_NODE||f===Node.DOCUMENT_FRAGMENT_NODE){const l=e.cloneNode(!1);a.appendChild(l),t(e,l,n,s,i,o)}}}(t,e,a,n,s,{flag:!1})}var r=a-1,d=[],c={};for(const t of Object.keys(e))for(var p=0;p<e[t].length;p++){const a=t,s=e[t][p],u=o.querySelector('param[class="anchor"][data-xmlid="'+a.replace(/^#/,"")+'"]'),m=o.querySelector('param[class="anchor"][data-xmlid="'+s.replace(/^#/,"")+'"]');if(r++,a in c||(c[a]=[]),c[a].push(r),u){const o=n?r:chkansuji(r),g=m?"":"（範囲の終わり "+s+" がありません）";if(m||d.push({type:"appToNotFound",anchorNo:r,appFrom:a,appTo:s}),p>0)for(var h=p-1;h>=0;h--)if(e[t][h]===s){d.push({type:"duplicate",anchorNo:r,appFrom:a,appTo:s,anchorNoRef:c[a][h]});break}const $=i.parseFromString('<root><span class="ft" data-n="'+String(r)+'">'+o+g+"</span></root>","application/xml");if(u.parentNode.insertBefore($.documentElement.childNodes[0],u),m){const t=new Range;if(t.setStartBefore(u),t.setEndAfter(m),t.startContainer===t.endContainer){const e=document.createElement("span");e.className="ct",e.setAttribute("data-n",String(r));try{t.surroundContents(e)}catch(t){console.log(t)}}else{const e=t.commonAncestorContainer;var f=e.cloneNode(!1);l(e,f,r,a.replace(/^#/,""),s.replace(/^#/,"")),e.parentNode.replaceChild(f,e)}}else console.log(g)}}return{text:(new XMLSerializer).serializeToString(o),errors:d}}function preprocessInlineNote(t,e,a,n){var s=t instanceof Element?t.innerHTML:t;s=(s=s.replace(/&amp;T[0-9]{6};/g,"〿")).replace(/&amp;MT[0-9]{5};/g,"〿"),a||(a=[]);const i=(new DOMParser).parseFromString("<div>"+s+"</div>","application/xml"),o="paramNoteStart";var l=1;!function t(e){0!==e.childNodes.length&&e.childNodes.forEach(e=>{if(e.nodeType===Node.ELEMENT_NODE&&"param"===e.nodeName&&!e.hasAttribute("xml:id")&&"noteEnd"===e.getAttribute("data-type")){const t="paramNoteEnd"+String(l).padStart(8,"0");e.setAttribute("xml:id",t),e.setAttribute("data-xmlid",t),l++}t(e)})}(i);var r=1;return function t(e,s){0!==e.childNodes.length&&e.childNodes.forEach(e=>{if(e.nodeType===Node.ELEMENT_NODE){if("span"===e.nodeName&&"note"===e.getAttribute("class")){var i=!0;n&&n.length>0?i=!1:a.length>0&&(i=!0);var l,d=!1,c=!1;n&&n.length>0?e.hasAttribute("data-type")&&(l=e.getAttribute("data-type"),n.indexOf(l)>-1&&(d=!0)):a.length>0&&e.hasAttribute("data-type")&&(l=e.getAttribute("data-type"),a.indexOf(l)>-1&&(c=!0)),(!i&&d||i&&!c)&&(e.setAttribute("data-n",r),r++),e.hasAttribute("data-target")?e.setAttribute("data-target",e.getAttribute("data-target").replace(/^#/,"")):e.hasAttribute("data-xmlid")&&e.setAttribute("data-target",o+e.getAttribute("data-xmlid")),e.hasAttribute("data-targetend")?e.setAttribute("data-targetend",e.getAttribute("data-targetend").replace(/^#/,"")):(!i&&d||i&&!c)&&s.push(e)}if(s.length>0&&"param"===e.nodeName&&"noteEnd"===e.getAttribute("data-type")&&e.hasAttribute("xml:id")){var p=e.getAttribute("xml:id");s.pop().setAttribute("data-targetend",p)}}t(e,s)})}(i,[]),function t(e,a){0!==e.childNodes.length&&e.childNodes.forEach(e=>{if(e.nodeType===Node.ELEMENT_NODE&&"span"===e.nodeName&&"note"===e.getAttribute("class")){var n=e.getAttribute("data-target"),s=e.getAttribute("data-targetend");n&&s&&(n in a||(a[n]=[]),a[n].push(s))}t(e,a)})}(i,e),i.querySelectorAll("span.note").forEach(t=>{const e=document.createElement("param");if(e.setAttribute("class","anchor"),t.hasAttribute("data-xmlid")){var a=o+t.getAttribute("data-xmlid");e.setAttribute("xml:id",a),e.setAttribute("data-xmlid",a)}t.after(e)}),{text:(new XMLSerializer).serializeToString(i)}}function postprocessInlineNote(t){var e=t instanceof Element?t.innerHTML:t;const a=(new DOMParser).parseFromString("<div>"+e+"</div>","application/xml");var n=[];!function t(e,a){0!==e.childNodes.length&&e.childNodes.forEach(e=>{e.nodeType===Node.ELEMENT_NODE&&"span"===e.nodeName&&"ct"===e.getAttribute("class")&&a.push(e),t(e,a)})}(a,n);for(var s=0;s<n.length;s++){var i=n[s],o=s>0?n[s-1]:void 0,l=s<n.length-1?n[s+1]:void 0,r=i.getAttribute("data-n"),d=o?o.getAttribute("data-n"):void 0,c=l?l.getAttribute("data-n"):void 0;r===d&&i.setAttribute("data-n-prev-same","true"),r===c&&i.setAttribute("data-n-next-same","true")}return{text:(new XMLSerializer).serializeToString(a)}}function chkansuji(t){const e=["〇","一","二","三","四","五","六","七","八","九","十"],a=String(t);for(var n="",s=0;s<a.length;s++){n+=e[parseInt(a[s].codePointAt(0))-48]}return n}function checkVariantEncodingMethod(t){let e=void 0;return t.querySelectorAll("TEI > teiHeader > encodingDesc > variantEncoding").forEach(t=>{if(t.hasAttribute("method")){const a=t.getAttribute("method");e=["location-referenced","double-end-point","parallel-segmentation"].indexOf(a)>-1?a:null}}),e}function isDiplomaticAnnotatedDocument(t){let e=!1;return t.querySelectorAll('TEI > teiHeader > encodingDesc seg[type="annotation"]').forEach(t=>{"diplomatic"===t.textContent&&(e=!0)}),e}
/*
 * A TEI Viewer for East Asian Pre-Modern Texts
 *
 * Originally written by Kiyonori NAGASAKI (International Institute for Digital Humanities)
 * Modified by Jun HOMMA (FLX Style)
 */const TEIViewer=function(t){console.log("A TEI Viewer for East Asian Pre-Modern Texts 0.1.0+20240828");const e={},a={},n="facsimile_surfaceGrp_surface_zone",s={TAISHO:0,MANYO:1,MUSHIAWASE:2};let i=s.TAISHO;$("#mushiawase_honmon_xml").length>0&&$("#mushiawase_gendai_xml").length>0&&$("#mushiawase_english_xml").length>0&&(i=s.MUSHIAWASE);let o="ja";{const t=new URLSearchParams(window.location.search);t.has("lang")&&("en"!==t.get("lang")&&"ja"!==t.get("lang")||(o=t.get("lang")))}function l(){if(i===s.MUSHIAWASE){let t=$("#main_row").width()-400-48;$("#eng_col").is(":visible")&&(t-=424);const e=400;t<e&&(t=e),$("#row1").css({width:t}),$("#row2").css({width:t}),$("#rowb").css({width:t}),$("#body_result").css({width:t}),$("#body_result2").css({width:t}),$("#bottom_result").css({width:t})}else{const t=$("#left_col").width();$("#body_result").css({width:t}),$("#bottom_result").css({width:t})}}i===s.MUSHIAWASE&&(t.xmlidPickup="en"===o?[{selector:"l",label:"Waka"},{selector:'listPerson[type="main"] > person',label:"Person"}]:[{selector:"l",label:"和歌"},{selector:'listPerson[type="main"] > person',label:"人物"}]),function(){$.isPlainObject(t)||(t={}),$.isArray(t.xmlidPickup)||(t.xmlidPickup=[]),t.xmlidPickupSelector=[],t.xmlidPickupDict={};for(let e of t.xmlidPickup)$.isPlainObject(e)&&e.selector&&-1===t.xmlidPickupSelector.indexOf(e.selector)&&(t.xmlidPickupSelector.push(e.selector),t.xmlidPickupDict[e.selector]=e.label||e.selector);$.isPlainObject(t.typeToGraphLabelMapping)||(t.typeToGraphLabelMapping={}),t.enableGraph?t.enableGraph=!0:t.enableGraph=!1,t.enableWorkaroundForScrollIntoViewBug?t.enableWorkaroundForScrollIntoViewBug=!0:t.enableWorkaroundForScrollIntoViewBug=!1,"useOpenSeadragon"in t||(t.useOpenSeadragon=!0),t.useOpenSeadragon?t.useOpenSeadragon=!0:t.useOpenSeadragon=!1,$.isPlainObject(t.openSeadragon)||(t.openSeadragon={}),"highlight"in t.openSeadragon||(t.openSeadragon.highlight=!0),t.openSeadragon.highlight?t.openSeadragon.highlight=!0:t.openSeadragon.highlight=!1}(),i===s.MUSHIAWASE&&(t.openSeadragon.highlight=!1),i===s.MUSHIAWASE&&($("#parallel-text-english").prop("checked",!0),$("#parallel-text-gendaigo").prop("checked",!0),$("#checkbox-romaji-ruby").prop("checked","en"===o),"en"===o&&($('label[for="parallel-text-english"]').text("English"),$('label[for="parallel-text-gendaigo"]').text("Modern Japanese"),$('label[for="checkbox-romaji-ruby"]').text("Romanized ruby"))),$("#menutab").tabs(),l(),window.addEventListener("resize",l);const r="<br><small>（ダブルクリックで同期移動）</small>";if(i===s.MUSHIAWASE){let t={target:{}};t.target.result=$("#mushiawase_honmon_xml").html(),f(t),t.target.result=$("#mushiawase_gendai_xml").html(),f(t,2),t.target.result=$("#mushiawase_english_xml").html(),f(t,3),$("#en_footnote_label").show(),$("#mushiawase_additional_UI").show(),x("en"===o),$("body").find("[data-type]").each(function(){const t=$(this);if(!t.attr("data-bs-title")){const e=t.attr("data-type")||t.attr("type");e&&"句"!==e&&(t.attr("data-bs-title",e+r),t.attr("data-bs-toggle","tooltip"),t.attr("data-bs-html",!0))}}),[].slice.call(document.querySelectorAll('[data-bs-toggle="tooltip"]')).map(function(t){return new bootstrap.Tooltip(t)})}{const t=new URLSearchParams(window.location.search);for(const[e,a]of t)if("file"===e)try{const t=new URL(a,window.location.href);$.ajax(t.href,{type:"get"}).done(function(t){$('#input1 input[type="file"]').hide(),$("#input1").append(a);let e={target:{}};e.target.result=(new XMLSerializer).serializeToString(t),h(e)})}catch(t){console.log(t)}}function d(t,e,a){const n=$(t),s=n.find(e+'[type="main"]');if(s.length)return a.rubyEliminate?I(s[0]):$(s[0]).text();const i=n.find(e);return i.length?a.rubyEliminate?I(i[0]):$(i[0]).text():void 0}function c(t,a){const n=a||{};function s(t,n){const s=e[t];if(n in s){let e;e=a.rubyEliminate?I(s[n].node):s[n].text;let i=t;const o=t.replace(">"," ").split(" ");return o.length>0&&(i=o[o.length-1]),"person"===i?e=d(s[n].node,"persName",a):"place"===i&&(e=d(s[n].node,"placeName",a)),e}}let i="";if(n.selector)i=s(n.selector,t);else for(const a in e)if(i=s(a,t))break;return t&&(i||(i=""),i&&n.insertBreakBeforeXmlId&&(i+="\n"),n.notAppendXmlId||(i+="（"+t+"）")),i}function p(t,a){const n=[];if(a){const s=e[a];t in s&&$(s[t].node).find("idno").each(function(){const t=$(this).attr("type"),e=$(this).text();if(e)if(/^https?:\/\//.test(e))n.push({url:e,type:t});else{let a;"DOI"===t?a="https://doi.org/":"VIAF"===t&&(a="https://viaf.org/viaf/"),a&&n.push({url:a+e,type:t})}})}return n}function h(t,e){const a=(new Spin.Spinner).spin(document.body);setTimeout(function(){f(t,e),a.stop()},100)}function f(l,d){const h=d||1,f=$("<fieldset>").html('<input type="checkbox" name="checkbox-kunten" id="checkbox-kunten"> <label for="checkbox-kunten">訓点を表示しない</label>').hide(),u="#body_result"+(d||"");$(u).html("");const m=$("#bottom_result"+(d||""));m.html(""),$("#graph_result").html(""),$("#errors").html(""),$("#legends").html(""),$("#versions").html(""),$("#choice").html(""),$("#xmlids").html(""),$("#additionalUIs").empty().append(f);const g=normalizeSpaceXML($.parseXML(l.target.result));preprocessSelfClosingTags(g);const b=checkVariantEncodingMethod(g);isDiplomaticAnnotatedDocument(g)&&(i=s.MANYO),$(g).find("TEI > teiHeader").each(function(){let t=!1;const e=$("<div>").addClass("teiHeader");$(this).find("fileDesc").each(function(){const a=$("<div>").addClass("fileDesc");e.append(a),$(this).find("titleStmt").each(function(){const e=$("<div>").addClass("titleStmt");$(this).find("title").each(function(){const t=$("<div>").addClass("title").html($(this).html());if(e.append(t),0===$(this).text().indexOf("萬葉集")&&(i=s.MANYO),i===s.MUSHIAWASE);else{const t=[$(this).text(),"TEI古典籍ビューワ"].join(" | ");$("title").text(t)}}),$(this).find("author,editor,funder,meeting,principal,respStmt,sponsor").each(function(){const t=$("<div>").addClass(this.tagName).html($(this).html());e.append(t)}),a.append(e),t=!0})}),t&&$(u).append(e)}),i===s.MANYO&&($("#text_body").addClass("manyo").css("max-height",""),$("#text_bottom").addClass("manyo"));let x=1;if($(g).find("TEI > text").each(function(){let l="";const r={},p=x,v=$(this),y=$("<div>").addClass("text");function A(t,e,a){const n=$(t);n.attr("data-app-n",x);const s=[];n.children("lem").each(function(){const t=$(this).html(),e=$(this).attr("wit")||"本文",a=[];e.split(" ").forEach(function(t){a.push('<span class="wtnm">'+t.replace(/^#/,"")+"</span>")});const n=$(this).attr("facs"),i=$("<div>").addClass("lem"),o=$("<span>").addClass("footnote-head").html("["+a.join(" ")+"]"),l=n?$("<span>").addClass("footnote-facs").attr({facs:n}):"",r=$("<span>").addClass("footnote-content").html(t);i.attr({"data-wit":e,"data-n":String(x)}).append(o).append(l).append(r),s.push(i.prop("outerHTML")),$(this).attr("data-app-n",x),$(this).attr("data-facs-backup",n),$(this).removeAttr("facs")}),n.children("rdg").each(function(){const t=$(this).html(),a=$(this).attr("wit");if(a){const n=[];a.split(" ").forEach(function(t){n.push('<span class="wtnm">'+t.replace(/^#/,"")+"</span>")});const i=$(this).attr("facs"),o=$("<div>").addClass("rdg"),l=$("<span>").addClass("footnote-head").html("["+n.join(" ")+"]"),r=i?$("<span>").addClass("footnote-facs").attr({facs:i}):"",d=$("<span>").addClass("footnote-content").html(t);if(o.attr({"data-wit":a,"data-n":String(x)}).append(l).append(r).append(d),s.push(o.prop("outerHTML")),"double-end-point"!==e){const e=$("<span>");a&&e.attr("data-wit",a);const n=$("<span>").addClass("rdg").addClass("parallel-segmentation-rdg").html(t);a&&(n.attr("wit",a),n.attr("data-app-n",x)),e.append(n),$(this).replaceWith(e)}}else console.error("<rdg> without @wit found!"),console.error(n)}),n.children("note").each(function(){s.push('<div class="note">'+$(this).html()+"</div>")});const i=chkansuji(x),o="double-end-point"===e?n.attr("from"):a+"_"+x+"s",d="double-end-point"===e?n.attr("to"):a+"_"+x+"e";if("double-end-point"!==e){const t=$("<param>").attr("data-xmlid",o).addClass("anchor"),e=$("<param>").attr("data-xmlid",d).addClass("anchor");n.prepend(t).append(e)}l+='<div class="app" data-n="'+String(x)+'" data-f="'+o+'" data-t="'+d+'"><div class="appnum" title="クリックでハイライト切り替え">'+i+'<span class="cthltgl" title="ハイライト切り替え"><span class="ui-icon ui-icon-radio-on"></span></span></div>'+s.join("")+"</div>",o in r||(r[o]=[]),r[o].push(d),x++}if($(u).append(y),$(this).find("[rend]").each(function(){const t=$(this),e=t.attr("rend");if(e){e.split(" ").forEach(function(e){"italic"===e&&t.addClass("italic")})}}),i===s.MUSHIAWASE&&3===d&&$(this).find('[xml\\:lang="ja-Ltn"]').each(function(){$(this).addClass("italic")}),$(this).find("listApp").each(function(){$(this).find("app").each(function(){A(this,"double-end-point")})}),0!==Object.keys(r).length&&"double-end-point"===b||$(this).find("body").each(function(){const t=Math.random().toString(16).substr(2,9);$(this).find("app").each(function(){A(this,"parallel-segmentation",t)})}),0===Object.keys(r).length){if(i===s.MUSHIAWASE&&3===d){{const t=["note"],e="span";let a;for(const n of t)if(n!==e)for(a=$(this).find(n);a.length>0;)a.each(function(){replaceWithElement(this,e)}),a=$(this).find(n)}const t=preprocessInlineNote(this,r,[],["研究会注"]);$(this).html(t.text);let e=1;$(this).find('.note[data-type="研究会注"]').each(function(){const t=String(e),a=$(this).attr("data-target"),n=$(this).attr("data-targetend");a&&n&&(l+='<div class="app" data-n="'+String(e)+'" data-f="'+a+'" data-t="'+n+'"><div class="appnum" title="クリックでハイライト切り替え">'+t+'<span class="cthltgl" title="ハイライト切り替え"><span class="ui-icon ui-icon-radio-on"></span></span></div><div class="note">'+$(this).html()+"</div></div>",e++,$(this).hide())})}}else{let t;void 0===b?t="&lt;encondingDesc&gt;以下の&lt;variantEncoding&gt;の@method属性で、methodを記述しなければ&lt;app&gt;は表示できません。":null===b?t='&lt;encondingDesc&gt;以下の&lt;variantEncoding&gt;の@method属性値が誤っています。本ビューワでは"double-end-point", "parallel-segmentation"のいずれかを指定してください。':"location-referenced"===b&&(t='&lt;encondingDesc&gt;以下の&lt;variantEncoding&gt;の@method属性値について、本ビューワでは"location-referenced"の表示には未対応です。'),t&&(l=t)}""!==l?m.append(l):m.hide(),t.enableGraph&&i!==s.MANYO&&$("#graph_result").prepend('<div class="alert alert-light alert-dismissible fade show" role="alert">本文のマウスオーバーでグラフ表示、そのままクリックでグラフを固定します。<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button></div>');const C=t.xmlidPickupSelector;C.length&&(S(v,"corresp"),S(v,"sameAs",{noNeedForData:!0}),S(v,"target"));for(const t of C)$(this).find(t).each(function(){if(this.hasAttribute("xml:id")){const n=this.getAttribute("xml:id");if(t in e||(e[t]={}),n in e[t]){let a=!0;i===s.MUSHIAWASE&&e[t][n].parallelTextNo!==d&&(a=!1),a&&console.error("xml:idに重複があります。"+n)}else{const s=a.corresp[n]||[],i=a.sameAs[n]||[],o=a.target[n]||[];e[t][n]={tag:this.nodeName.toLowerCase(),type:this.hasAttribute("type")?this.getAttribute("type"):void 0,corresps:s,sameAses:i,targets:o,text:this.textContent,node:this,parallelTextNo:h}}}});const w="teiHeader_fileDesc_sourceDesc_listWit_witness";let E,N=!1,I=!1;$(g).find("TEI > teiHeader > fileDesc > sourceDesc listWit").each(function(){const a=w;t.xmlidPickupDict[a]="対校資料",$(this).find("witness").each(function(){if(this.hasAttribute("xml:id")){const t=this.getAttribute("xml:id");if(a in e||(e[a]={}),t in e[a]){let n=!0;i===s.MUSHIAWASE&&e[a][t].parallelTextNo!==d&&(n=!1),n&&console.error("xml:idに重複があります。"+t)}else e[a][t]={tag:this.nodeName.toLowerCase(),type:this.hasAttribute("type")?this.getAttribute("type"):void 0,wits:[],text:this.textContent,node:this},N=!0}})});{let t=1;const a=w;if($(this).find("listApp").each(function(){$(this).find("app").each(function(){const n=$(this);n.find("rdg").each(function(){const s=this,i=$(this).attr("wit");if(i){i.split(" ").forEach(function(n){const i=n.replace(/^#/,"");i in e[a]&&e[a][i].wits.push({n:t,elem:s})})}else console.error("<rdg> without @wit found!"),console.error(n)}),n.find("lem").each(function(){I=!0;const n=this;($(this).attr("wit")||"本文").split(" ").forEach(function(s){const i=s.replace(/^#/,"");i in e[a]&&e[a][i].wits.push({n:t,elem:n})})}),t++})}),$(this).find("body").each(function(){$(this).find("app").each(function(){const n=$(this),s=Math.random().toString(16).substr(2,9);n.attr("data-temp-app",s),n.find("rdg,.rdg").each(function(){const i=this,o=$(this).closest("app").attr("data-temp-app");if(s===o){const s=$(this).attr("wit");if(s){s.split(" ").forEach(function(n){const s=n.replace(/^#/,"");s in e[a]&&e[a][s].wits.push({n:t,elem:i})})}else console.error("<rdg> without @wit found!"),console.error(n)}}),n.find("lem,.lem").each(function(){I=!0;const n=this,i=$(this).closest("app").attr("data-temp-app");if(s===i){($(this).attr("wit")||"本文").split(" ").forEach(function(s){const i=s.replace(/^#/,"");i in e[a]&&e[a][i].wits.push({n:t,elem:n})})}}),n.removeAttr("data-temp-app"),t++})}),N){const t=$("#versions").addClass("ps-1");if(t.append('<div style="font-weight:bold;padding:5px 0">テキストの再構成</div>'),Object.keys(e).length>0){const a=e[w];let n=0;{const e="本文",a=$("<div>").addClass("form-check"),s=$("<input>").addClass("form-check-input").attr({type:"radio",name:"versionRadios",id:"versionRadios"+n,value:""}).prop("checked",!0),i=$("<label>").addClass("form-check-label").attr({for:"versionRadios"+n}).text(e);a.append(s).append(i),t.append(a),I||(s.prop("disabled",!0),a.hide())}for(const e in a){n++;const a=c(e,{witnessSelectorTempName:w}),s=$("<div>").addClass("form-check"),i=$("<input>").addClass("form-check-input").attr({type:"radio",name:"versionRadios",id:"versionRadios"+n,value:e}),o=$("<label>").addClass("form-check-label").attr({for:"versionRadios"+n}).text(a);s.append(i).append(o),t.append(s)}}}}$(g).find("TEI > facsimile > surfaceGrp").each(function(){const a=n;t.xmlidPickupDict[a]="en"===o?"Images":"IIIF画像";const l=$(this).attr("facs");if(l){const t=l.split(" ")[0];$(this).find("surface").each(function(){let n;$(this).find("graphic").each(function(){const t=$(this).attr("n");void 0===n&&(n=t)}),$(this).find("zone").each(function(){if(this.hasAttribute("xml:id")){const o=$(this).attr("xml:id");if(a in e||(e[a]={}),o in e[a]){let t=!0;i===s.MUSHIAWASE&&e[a][o].parallelTextNo!==d&&(t=!1),t&&console.error("xml:idに重複があります。"+o)}else{let s=1;const i=[];k(v,o,"facs").each(function(){const t=$(this).attr("data-facs-id"),e=t||Math.random().toString(16).substr(2,9)+s;if(i.push({facsId:e,elem:this}),!t){const t=$("<button>").attr("type","button").addClass("btn btn-sm btn-light fac-iiif").html('<i class="far fa-image"></i>');t.attr("data-facs-targetid",o),t.attr("data-facs-id",e),$(this).prepend(t),s++}}),e[a][o]={tag:this.nodeName.toLowerCase(),type:this.hasAttribute("type")?this.getAttribute("type"):void 0,facses:i,manifest:t,canvas:n,canvasInfo:void 0,lrx:$(this).attr("lrx"),lry:$(this).attr("lry"),ulx:$(this).attr("ulx"),uly:$(this).attr("uly"),text:"",node:this},E||(E=2019)}}})})}}),$(g).find("TEI > facsimile").each(function(){const a=n;t.xmlidPickupDict[a]="en"===o?"Images":"IIIF画像";const l=$(this).attr("sameAs");if(l){const t=l.split(" ")[0];$(this).find("surface").each(function(){const n=$(this).attr("sameAs"),o={width:parseInt($(this).attr("lrx")||0,10),height:parseInt($(this).attr("lry")||0,10)};let l,r;$(this).find("graphic").each(function(){const t=$(this).attr("sameAs");let e,a;t&&(l=t);{const t=($(this).attr("width")||"").match(/([-+]?\d+(:?\.\d+)?)px/);t&&(e=parseFloat(t[1]))}{const t=($(this).attr("height")||"").match(/([-+]?\d+(:?\.\d+)?)px/);t&&(a=parseFloat(t[1]))}e>0&&a>0&&(r={width:e,height:a})}),$(this).find("zone").each(function(){if(this.hasAttribute("xml:id")){const c=$(this).attr("xml:id");if(a in e||(e[a]={}),c in e[a]){let t=!0;i===s.MUSHIAWASE&&e[a][c].parallelTextNo!==d&&(t=!1),t&&console.error("xml:idに重複があります。"+c)}else{let s=1;const i=[];k(v,c,"facs").each(function(){const t=$(this).attr("data-facs-id"),e=t||Math.random().toString(16).substr(2,9)+s;if(i.push({facsId:e,elem:this}),!t){const t=$("<button>").attr("type","button").addClass("btn btn-sm btn-light fac-iiif").html('<i class="far fa-image"></i>');t.attr("data-facs-targetid",c),t.attr("data-facs-id",e),$(this).prepend(t),s++}}),k(m,c,"facs").each(function(){const t=$("<button>").attr("type","button").addClass("btn btn-sm btn-light fac-iiif").html('<i class="far fa-image"></i>');t.attr("data-facs-targetid",c),$(this).prepend(t)}),e[a][c]={tag:this.nodeName.toLowerCase(),type:this.hasAttribute("type")?this.getAttribute("type"):void 0,facses:i,manifest:t,canvas:n,canvasInfo:l,canvasSize:o,canvasInfoSize:r,lrx:$(this).attr("lrx"),lry:$(this).attr("lry"),ulx:$(this).attr("ulx"),uly:$(this).attr("uly"),points:$(this).attr("points"),text:"",node:this},E||(E=2024)}}})})}}),2019===E&&(t.useOpenSeadragon=!1),t.useOpenSeadragon&&v.find("[facs],[data-facs]").each(function(){const t=$(this).attr("facs")||$(this).attr("data-facs");if(t){const e=t.split(" ");if(e.length>1){let t=[];e.forEach(function(e){t.push(e.replace(/^#/,""))});const a=$("<button>").attr("type","button").addClass("btn btn-sm btn-light facs-iiif").html('<i class="fas fa-images"></i>');a.attr("data-facs-targetids",t.join(" ")),$(this).prepend(a)}}});const M=[],_=i!==s.MANYO?"front,body,back":"body";if($(this).find(_).each(function(){const t=this.tagName;M.includes(t)||M.push(t);const e=["title","l","seg","note","persName","s"];let a;for(const t of e)if("span"!==t)for(a=$(this).find(t);a.length>0;)a.each(function(){replaceWithElement(this,"span")}),a=$(this).find(t);const n=["lg"];for(const t of n)if("div"!==t)for(a=$(this).find(t);a.length>0;)a.each(function(){replaceWithElement(this,"div")}),a=$(this).find(t);let o,c=!1;if($(this).find("metamark").each(function(){const t=$(this).html(),e=this.hasAttribute("function")&&"kaeri"===this.getAttribute("function");if(e&&(c=!0),e&&2===t.length){const e=t[0],a=t[1],n=$("<span>").addClass("metamark").attr("data-function","kaeri").text(e),s=$("<span>").addClass("metamark").attr("data-function","kaeri").text(a);let i;"㆑"===a&&("㆒"===e?n.addClass("oneMark"):"㆖"===e?n.addClass("topMark"):"㆙"===e?n.addClass("firstMark"):"㆝"===e&&n.addClass("heavenMark"),n.addClass("nextIsReverseMark"),s.addClass("reverseMark")),"㆐"===e?i=n:"㆐"===a&&(i=s),i&&i.addClass("tateten").removeAttr("data-function");const o=$("<span>").append(n).append(s);$(this).replaceWith(o.html())}else{const e=$("<span>").addClass("metamark");e.html(t),copyAttributes(this,e[0]),$(this).replaceWith(e)}}),$(this).find(".metamark").each(function(){const t=this.nextSibling;t&&"#text"===t.nodeName&&t.nodeValue&&/^[、。]/.test(t.nodeValue)&&$(this).addClass("nextIsPunctuationMark")}),c&&f.show(),$(this).find('span[data-type="wari"].note').each(function(){0===$(this).find("br").length&&($(this).append("<br/>"),$(this).append($("<span>").addClass("wariSingleLineFiller")))}),i===s.MANYO&&($(this).find('.milestone[data-unit="wbr"]').each(function(){$(this).after("<br/>")}),$(this).find('span[data-type="割書"].note').each(function(){0===$(this).find("br").length&&($(this).append("<br/>"),$(this).append($("<span>").addClass("wariSingleLineFiller")))})),i===s.MANYO){o=preprocessInlineNote(this,r,["割書","送り"]).text}else o=this;const h=i===s.MUSHIAWASE&&3===d,u=showAppPlace(o,r,p,h);let g;(g=i===s.MANYO?$(postprocessInlineNote(u.text).text).children().first().children().first():i===s.MUSHIAWASE&&3===d?$(postprocessInlineNote(u.text).text).children().first():$(u.text)).addClass(t),y.append(g),i===s.MANYO?(l="",g.find(".note").each(function(){const t=$(this),e=chkansuji(x),a=t.attr("data-target")||t.attr("data-xmlid"),n=t.attr("data-targetend"),s=t.attr("data-type")||"",i=t.attr("data-subtype"),o="("+x+") "+s+(i?" "+i:"");if(t.attr("title",o),a&&n){const i=s?"["+s+"] ":s;l+='<div class="app" data-n="'+String(x)+'" data-f="'+a+'" data-t="'+n+'"><div class="appnum" title="クリックでハイライト切り替え">'+e+'</div><div class="note">'+i+t.html()+"</div></div>",x++}if(s.match(/^(合点|注|異文|異訓|訓)$/)){const e=t.attr("data-target"),a=$('param.anchor[data-xmlid="'+e+'"]'),n=$("<span>");a.after(n);const s=n;let o,l;try{o=s.position().top}catch(t){o=0}try{l=s.position().left}catch(t){}const r=t.attr("data-place");void 0!==l&&("right"===r||"margin-right"===r?l="calc("+(l+=s.width())+"px + 0.1em)":"left"===r?l="calc("+(l-=t.width())+"px - 0.1em)":"head"!==r&&"margin-head"!==r||(l="calc("+(l+=s.width())+"px + 0.1em)"),t.css({left:l})),"head"!==r&&"margin-head"!==r||(o=0,"貼紙"!==i&&t.css({height:"5rem"})),t.css({top:o}),t.draggable()}}),m.append(l),""!==l&&m.show(),g.find(".note").each(function(){const t=$(this),e=t.attr("data-n");e&&g.find('.ct[data-n="'+e+'"]').each(function(){const e=t.attr("data-place");e&&$(this).attr("data-note-place",e);const a=t.attr("data-type");a&&$(this).attr("data-note-type",a)})}),g.find("span.ct").each(function(){const t=$(this);t.attr("data-n-prev-same")&&t.css("border-top","none"),t.attr("data-n-next-same")&&t.css("border-bottom","none")}),g.find("subst").each(function(){let t=0;$(this).find("del").each(function(){t=$(this).text().length}),$(this).find("add").each(function(){const e=$(this).text().length;$(this).css({top:-t+"em","margin-bottom":-e+"em"})})})):i===s.MUSHIAWASE&&3===d&&g.find("span.ct").each(function(){const t=$(this);t.attr("data-n-prev-same")&&t.css("border-left","none"),t.attr("data-n-next-same")&&t.css("border-right","none")});for(let t of u.errors){let e=chkansuji(t.anchorNo);"appToNotFound"===t.type?e+="：範囲の終わり "+t.appTo+" がありません":"duplicate"===t.type&&(e+="：範囲の始まり "+t.appFrom+" と終わり "+t.appTo+" が同一のもの（"+chkansuji(t.anchorNoRef)+"）があります"),$("#errors").append($('<div style="font-size:1em">').attr({"data-n":t.anchorNo}).addClass("ft app").text(e))}}),M.includes("front")||M.includes("back")){const t=$("#textstructures");t.append('<span style="font-weight:bold;padding:5px 0">Text Structure</span>');const e=$("<div>").addClass("ms-1"),a=$("<div>").addClass("row align-items-center");let n=0;for(const t of M){if(t){const e=t,s="textstructureChecks"+n,i=$("<div>").addClass("col col-auto"),o=$("<div>").addClass("form-check"),l=$("<input>").addClass("form-check-input").attr({type:"checkbox",name:"textstructureChecks",id:s,value:t}).prop("checked","body"===t),r=$("<label>").addClass("form-check-label").attr({for:s}).text(e);o.append(l).append(r),i.append(o),a.append(i)}n++}e.append(a),t.append(e),$("#textstructures").on("change",'input[name="textstructureChecks"]:checkbox',function(){const t=$(this).val();if(t){const e=$(".text > ."+t);$(this).prop("checked")?e.show():e.hide()}}),$('input[name="textstructureChecks"]:checkbox').change()}const O=[["sic","corr"],["orig","reg"]],T=[!1,!1];if($(this).find("choice").each(function(){let t=0;for(const e of O){for(const a of e)$(this).find(a).length>0&&(T[t]=!0);t++}}),T.includes(!0)){const t=$("#choice");t.append('<span style="font-weight:bold;padding:5px 0">Choice</span>');const e=$("<div>");let a=0;for(const t of T){const n=O[a];if(t){const t=$("<div>").addClass("row align-items-center"),s=$("<label>").addClass("col col-form-label").text(n.join("/"));t.append(s);let i=0;for(const s of n){const n=s,o="choiceRadios"+a+"_"+i,l=$("<div>").addClass("col"),r=$("<div>").addClass("form-check"),d=$("<input>").addClass("form-check-input").attr({type:"radio",name:"choiceRadios"+a,id:o,value:s,"data-choice-part-tags-index":a}).prop("checked",0===i),c=$("<label>").addClass("form-check-label").attr({for:o}).text(n);r.append(d).append(c),l.append(r),t.append(l),e.append(t),i++}}a++}t.append(e);let n=!1;$("#choice").on("change",'input[name^="choiceRadios"]:radio',function(){const t=$(this).val();if(t){const e=parseInt($(this).attr("data-choice-part-tags-index"),10);for(const a of O[e]){const e=$(".body-result").find(a);t===a?(n&&e.addClass("choice-highlight"),e.show(),setTimeout(function(){e.removeClass("choice-highlight")},100)):e.removeClass("choice-highlight").hide()}}}),$('input[name^="choiceRadios"]:radio:checked').change(),n=!0}}),Object.keys(e).length>0){const a=$("#xmlids").css({height:"700px","overflow-y":"scroll"});i===s.MUSHIAWASE?a.css({height:"635px"}):a.append('<div style="font-weight:bold;padding:5px 0">xml:id</div>');const l=$("<ul>").addClass("nav nav-tabs").attr({role:"tablist"}),d=$("<div>").addClass("tab-content");let h=1;for(const a in e){if(i===s.MUSHIAWASE&&a===n)continue;const f=$("<li>").addClass("nav-item").attr({role:"presentation"}),u=$("<button>").addClass("nav-link").attr({id:"tab-selector-"+h,"data-bs-toggle":"tab","data-bs-target":"#tab-pane-"+h,type:"button",role:"tab",title:a}).text(t.xmlidPickupDict[a]||a);1===h&&u.addClass("active"),f.append(u),l.append(f);const m=e[a],g=$("<div>").addClass("accordion accordion-flush");let b=1;for(const t in m){const e="xmlidAccordionCollapse"+b,n=$("<div>").addClass("accordion-item"),l=$("<h2>").addClass("accordion-header"),d=$("<button>").addClass("accordion-button collapsed focus-ring focus-ring-light").attr({type:"button","data-bs-toggle":"collapse","data-bs-target":"#"+e}),h=$("<div>").addClass("accordion-collapse collapse").attr("id",e),f=$("<div>").addClass("accordion-body");l.append(d),h.append(f),n.append(l).append(h),g.append(n);const x=m[t].corresps,v=m[t].sameAses,y=m[t].wits,A=m[t].facses,C=m[t].targets,w=(x?x.length:0)+(v?v.length:0)+(y?y.length:0)+(A?A.length:0)+(C?C.length:0),S=c(t,{selector:a,rubyEliminate:!0}),k=$("<span>").addClass("flex-fill").css({"font-weight":"bold"}).text(S),E={};let N=!1,M=!1;if(i===s.MUSHIAWASE){const t=u.text().toLowerCase();N="en"===o?t==="Waka".toLowerCase():t==="和歌".toLowerCase(),M="en"===o?t==="Person".toLowerCase():t==="人物".toLowerCase()}if(N){$("body").find('[data-xmlid="'+t+'"]').each(function(){const t=$(this).parent();if(t){const e=t.attr("type");e&&(E.wakaType=e)}const e=$(this).closest('[type="虫合"]');if(e){let t=chkansuji(e.attr("n"))||0;"一〇"===t&&(t="十"),E.banme=t+"番"}const a=$(this).attr("data-facs");a&&(E.facs=a.split(" "))});const e=E.banme+E.wakaType;m[t].customTitle=e,k.text(e)}else M&&k.text(c(t,{selector:a,rubyEliminate:!0,notAppendXmlId:!0}));d.append(k);const _=p(t,a);for(let t of _){const e=$("<a>").attr({href:t.url,target:"_blank",title:t.type}).html('<i class="fas fa-external-link-alt"></i>').addClass("ms-1");d.append(e)}const O=$("<span>").addClass("badge bg-primary rounded-pill float-end mx-2").text(w);d.append(O);const T=$("<div>").addClass("mb-2").text("参照している箇所"),L=$("<ul>").addClass("list-group");if(x){if(M){const e=$(m[t].node);{const t=["title"],a="span";let n;for(const s of t)if(s!==a)for(n=e.find(s);n.length>0;)n.each(function(){replaceWithElement(this,a)}),n=e.find(s)}{const t=e.find("persName").first(),a=$("<div>").addClass("mb-2").text(t.text()),n=e.find('note[type="role-in-the-work"]');if(f.append(a),n.text()){const t=$("<ul>").addClass("list-group"),e=$("<li>").addClass("ms-3 list-group-item_ list-unstyled").text(n.text());t.append(e),f.append(t)}}{const t=$("<ul>").addClass("list-group");if(e.find("note").each(function(){const e=$(this).attr("type");if("role-in-the-work"===e||"bibl"===e);else{const e=$(this).html(),a=$("<li>").addClass("ms-3 list-group-item_ list-unstyled").html(e);t.append(a)}}),t[0].childElementCount>0){const e=$("<div>").addClass("my-2").text("解説");f.append(e).append(t)}}{const t=$("<ul>").addClass("list-group"),a=[];e.find("event").each(function(){const t=$(this).attr("when")||$(this).attr("from"),e=I(this),n=$(this).html();a.push({when:t,text:e,html:n})}),a.sort(function(t,e){return Date.parse(t.when)-Date.parse(e.when)});for(const e of a){const a=e.html,n=$("<li>").addClass("ms-4 list-group-item_ list-group-item-event").html(a);t.append(n)}if(t[0].childElementCount>0){const e=$("<div>").addClass("my-2").text("時系列");f.append(e).append(t)}}const a=e.find('note[type="bibl"]');if(a.text()){const t=$("<div>").addClass("my-2").text("参考文献"),e=$("<ul>").addClass("list-group");a.find("bibl").each(function(){const t=$("<li>").addClass("ms-4 list-group-item_").text(I(this));e.append(t)}),f.append(t).append(e)}T.addClass("mt-2")}for(const t of x){const e=I(t.elem),a=$("<li>").addClass("list-group-item corresp-list-item").text(e);a.attr({"data-ref-corresp-id":t.correspId}),L.append(a)}f.append(T),f.append(L)}if(v){for(const t of v){const e=I(t.elem),a=$("<li>").addClass("list-group-item sameas-list-item").text(e);a.attr({"data-ref-sameas-id":t.sameAsId}),L.append(a)}f.append(T),f.append(L)}if(y){for(const t of y){const e=I(t.elem),a=$("<li>").addClass("list-group-item wit-list-item").text(e);a.attr({"data-n":t.n}),L.append(a)}f.append(T),f.append(L)}if(A){for(const t of A){const e='<i class="far fa-image"></i>',a=$("<li>").addClass("list-group-item facs-list-item").html(e);a.attr({"data-ref-facs-id":t.facsId}),L.append(a)}f.append(T),f.append(L)}if(C)if(N){const e=$("<div>").addClass("mb-2").text(E.wakaType),n=$("<div>").addClass("my-2").text("虫判"),s=$("<div>").addClass("my-2").text("歌判"),i=$("<div>").addClass("my-2").text("虫判勝敗"),o=$("<div>").addClass("my-2").text("歌判勝敗"),l=$("<ul>").addClass("list-group"),d=$("<ul>").addClass("list-group"),p=$("<ul>").addClass("list-group"),h=$("<ul>").addClass("list-group"),u=$("<ul>").addClass("list-group");{const t=E.facs;t&&t.forEach(function(t){if(t){const a=t.replace(/^#/,""),n=$("<button>").attr("type","button").addClass("btn btn-sm btn-light fac-iiif ms-2 px-1 py-1").html('<i class="far fa-image"></i>');n.attr("data-facs-targetid",a),e.append(n)}})}{const e=c(t,{selector:a,rubyEliminate:!0,notAppendXmlId:!0}),n=$("<li>").addClass("list-group-item target-list-waka").text(e);n.attr({"data-ref-target-id":t}),l.append(n),$('[data-xmlid="'+t+'"]').attr("data-bs-title",m[t].customTitle+r).attr("data-bs-toggle","tooltip").attr("data-bs-html",!0)}for(const e of C){const a=I(e.elem),n=$("<li>").addClass("list-group-item target-list-item").text(a);n.attr({"data-ref-target-id":e.targetId}),"虫判"===e.type?d.append(n):"歌判"===e.type?p.append(n):"虫判勝敗"===e.type?h.append(n):"歌判勝敗"===e.type?u.append(n):L.append(n),e.type&&$('[data-target-id="'+e.targetId+'"]').attr("data-bs-title",m[t].customTitle+" "+e.type+r).attr("data-bs-toggle","tooltip").attr("data-bs-html",!0)}f.append(e),f.append(l),f.append(n),f.append(d),h[0].childElementCount>0&&(f.append(i),f.append(h)),f.append(s),f.append(p),u[0].childElementCount>0&&(f.append(o),f.append(u)),L[0].childElementCount>0?(f.append(T),f.append(L)):T.hide()}else{for(const t of C){const e=I(t.elem),a=$("<li>").addClass("list-group-item target-list-item").text(e);a.attr({"data-ref-target-id":t.targetId}),L.append(a)}f.append(T),f.append(L)}b++}const x="1px solid var(--bs-border-color)",v=$("<div>").addClass("tab-pane fade").css({"border-left":x,"border-right":x,"border-bottom":x}).attr({id:"tab-pane-"+h,role:"tabpanel",tabindex:0}).append(g);1===h&&v.addClass("show active"),d.append(v),h++}a.append(l).append(d)}{const t=$("#legends").append('<span style="font-weight:bold;padding:5px 0">凡例</span><br>');let e=[];e=i===s.MANYO?[{text:"合点",class:"manyo-note-gatten",selector:'.note[data-type="合点"]'},{text:"注",class:"manyo-note-cyuu",selector:'.note[data-type="注"]'},{text:"異文",class:"manyo-note-ibun",selector:'.note[data-type="異文"]'},{text:"送り",class:"manyo-note-okuri",selector:'.note[data-type="送り"]'},{text:"異訓",class:"manyo-note-ikun",selector:'.note[data-type="異訓"]'},{text:"訓",class:"manyo-note-kun",selector:'.note[data-type="訓"]'}]:[{text:"<persName>",class:"persname",selector:".persname"},{text:"<app>",class:"ct",selector:".ct"},{text:"<app>",class:"ct-no-highlight",selector:".ct"},{text:"<note>",class:"note-hover",selector:".note"},{text:"@corresp",class:"corresp-highlight",selector:"[corresp],[data-corresp]"},{text:"@sameAs",class:"sameas-highlight",selector:"[sameAs],[data-sameas]"},{text:"<figure>",class:"figure-highlight",selector:"figure"},{text:"<l>",class:"l",selector:".l"}];let a=!1;for(const n of e){if($(u).find(n.selector).length){const e=$("<span>").text(n.text).addClass(n.class).addClass("me-2");t.append(e),a=!0}}a||t.hide()}i!==s.MANYO&&i!==s.MUSHIAWASE&&($("#text_body").resizable({handles:"s"}),$("#text_bottom").addClass("text-body-resizable"))}$(".file_input1").change(function(){$('#input1 input[type="file"]').hide();for(let t=0;t<this.files.length;++t)if("text/xml"===this.files[t].type){$("#input1").append(this.files[t].name);const e=new FileReader;e.onload=function(t){h(t)},e.readAsText(this.files[t],"UTF-8");break}});let u={block:"center",inline:"end"};if(t.enableWorkaroundForScrollIntoViewBug){navigator.userAgent.indexOf("Firefox")>-1&&(u={block:"end",inline:"center"})}const m={block:"start"};function g(t){const e=document.querySelector(t);if(e){const t="vertical-rl"===$(e).css("writing-mode")?u:m;e.scrollIntoView(t)}}function b(t,e){{const a=".manyo span.ct",n=a+"[data-n='"+t+"']",s="ct-no-highlight";$(a).removeClass(s),e&&$(n).addClass(s)}{const a=".manyo span.note",n=a+"[data-n='"+t+"']",s="note-highlight";$(a).removeClass(s),e&&$(n).addClass(s)}{const a=".app",n=a+"[data-n='"+t+"']",s="app-highlight";$(a).removeClass(s),e&&$(n).addClass(s)}}function x(t){const e=$('ruby[xml\\:lang="ja-Ltn"] > rt');t?e.show():e.hide()}$("body").on("click mouseover mouseout",".ft",function(t){const e=".app[data-n='"+$(this).attr("data-n")+"']";$(".app").removeClass("app-highlight"),"click"===t.type&&g(e),"click"!==t.type&&"mouseover"!==t.type||$(e).addClass("app-highlight")}),$("body").on("click mouseover mouseout",".appnum",function(t){const e=$(this).closest(".app").attr("data-n");{const a=".ct",n=a+"[data-n='"+e+"']";if($(a).removeClass("app-highlight"),"click"===t.type){g(n);const t=$(this).find(".cthltgl");$(n).toggleClass("ct-no-highlight"),$(n).hasClass("ct-no-highlight")?t.html('<span class="ui-icon ui-icon-radio-off"></span>'):t.html('<span class="ui-icon ui-icon-radio-on"></span>')}"click"!==t.type&&"mouseover"!==t.type||$(n).addClass("app-highlight")}{const a=".ft",n=a+"[data-n='"+e+"']";$(a).removeClass("app-highlight"),"click"!==t.type&&"mouseover"!==t.type||$(n).addClass("app-highlight")}}),$("body").on("mouseover mouseout",".note",function(t){if(i===s.MANYO){t.stopPropagation();let e=$(this).attr("data-n");e||(e=$(this).closest(".app").attr("data-n")),b(e,"mouseover"===t.type)}}),$("body").on("click",".note",function(t){if(i===s.MANYO){let e,a=$(this).attr("data-n");if(a||(a=$(this).closest(".app").attr("data-n"),e=!0),!e){t.stopPropagation();const e=".app"+"[data-n='"+a+"']";$(e).addClass("app-highlight"),g(e)}}}),$("body").on("mouseover mouseout",".ct",function(t){if(i===s.MANYO){b($(this).attr("data-n"),"mouseover"===t.type)}}),$("body").on("click",".ct",function(){if(i===s.MANYO){const t=".app",e=t+"[data-n='"+$(this).attr("data-n")+"']";$(t).removeClass("app-highlight"),$(e).addClass("app-highlight"),g(e)}}),$("body").on("click","#checkbox-kunten",function(){const t=!$(this).prop("checked"),e=$('.metamark[data-function="kaeri"]');t?e.show():e.hide()}),$("body").on("click","#checkbox-romaji-ruby",function(){x($(this).prop("checked"))}),$("body").on("click","#parallel-text-english",function(){const t=$(this).prop("checked"),e=$("#eng_col");t?e.show():e.hide(),l()}),$("body").on("click","#parallel-text-gendaigo",function(){const t=$(this).prop("checked"),e=$("#row2");t?($("#body_result").css("max-height",350),e.show()):($("#body_result").css("max-height",700),e.hide())});const v={};function y(t){var e=$(t).closest(".body-result")[0];const a=t.getBoundingClientRect(),n=e.getBoundingClientRect();if("vertical-rl"===$(t).css("writing-mode")){const t=(n.width-a.width)/2,s=a.left-n.left-t;e.scrollBy({left:s,top:0,behavior:"smooth"})}else{const t=(n.height-a.height)/2,s=a.top-n.top-t;e.scrollBy({left:0,top:s,behavior:"smooth"})}}function A(t,e,a,n,o){let l;if(i===s.MUSHIAWASE&&a.length>0){const t=E(a[0]);t&&(l=$("body").find('[xml\\:id="'+t+'"],[data-xmlid="'+t+'"]'))}if(t)if(e.addClass(n),a.addClass(o),l)for(const t of l)t&&($(t).addClass(o),y(t));else{const t="vertical-rl"===a.css("writing-mode")?u:m;a[0].scrollIntoView(t)}else if(e.removeClass(n),a.removeClass(o),l)for(const t of l)t&&$(t).removeClass(o)}$("#versions").on("change",'input[name="versionRadios"]:radio',function(){const t=$(this).val();if(t){const e="#"+t;$("#bottom_result").find(".app[data-n]").each(function(){const t=$(this).attr("data-n");let a=!1;$(this).children('.rdg[data-n="'+t+'"]').each(function(){const t=$(this).attr("data-wit");if(t){t.split(" ").forEach(function(t){t===e&&(a=!0)})}}),a?$(this).children('[data-n="'+t+'"]').each(function(){let a;const n=$(this).attr("data-wit");if(n){n.split(" ").forEach(function(t){t===e&&(a=!0)})}if(a){let e="";$(this).children(".footnote-content").each(function(){e=$(this).html()});let a=0;$(".ct"+"[data-n='"+t+"']").each(function(){0===a?(t in v||(v[t]=$(this).html()),$(this).html(e)):$(this).hide(),a++})}}):$(this).find('.lem[data-n="'+t+'"]').each(function(){let e="";$(this).children(".footnote-content").each(function(){e=$(this).html()});let a=0;$(".ct[data-n='"+t+"']").each(function(){0===a?(t in v||(v[t]=$(this).html()),$(this).html(e)):$(this).hide(),a++})})}),$("#body_result").find("app[data-app-n]").each(function(){const t=$(this).attr("data-app-n");let a=!1;$(this).find('.rdg[data-app-n="'+t+'"]').each(function(){const t=$(this).attr("wit");if(t){t.split(" ").forEach(function(t){t===e&&(a=!0)})}}),a?$(this).find('[data-app-n="'+t+'"]').each(function(){let t;const a=$(this).attr("wit");if(a){a.split(" ").forEach(function(a){a===e&&(t=!0)})}t?$(this).show():$(this).hide()}):$(this).find('[data-app-n="'+t+'"]').each(function(){"lem"===this.tagName.toLowerCase()?$(this).show():$(this).hide()})})}else $("#bottom_result").find(".app[data-n]").each(function(){const t=$(this).attr("data-n");let e=0;$(".ct[data-n='"+t+"']").each(function(){0===e?$(this).html(v[t]||""):$(this).show(),e++})}),$("#body_result").find("app[data-app-n]").each(function(){const t=$(this).attr("data-app-n");$(this).find('[data-app-n="'+t+'"]').each(function(){"lem"===this.tagName.toLowerCase()?$(this).show():$(this).hide()})})}),$("#xmlids").on("mouseover mouseout",".corresp-list-item",function(t){const e=$(this).attr("data-ref-corresp-id"),a="mouseover"===t.type;let n=$("body").find('[data-corresp-id="'+e+'"]');A(a,$(this),n,"xmids-highlight","corresp-highlight")}),$("#xmlids").on("mouseover mouseout",".sameas-list-item",function(t){const e=$(this).attr("data-ref-sameas-id"),a="mouseover"===t.type;let n=$("body").find('[data-sameas-id="'+e+'"]');A(a,$(this),n,"xmids-highlight","sameas-highlight")}),$("#xmlids").on("mouseover mouseout",".wit-list-item",function(t){const e=$(this).attr("data-n"),a=$("body").find('.ct[data-n="'+e+'"],.ft[data-n="'+e+'"]');A("mouseover"===t.type,$(this),a,"xmids-highlight","wit-highlight")}),$("#xmlids").on("mouseover mouseout",".facs-list-item",function(t){const e=$(this).attr("data-ref-facs-id"),a="mouseover"===t.type;let n=$("body").find('[data-facs-id="'+e+'"]');A(a,$(this),n,"xmids-highlight","facs-highlight")}),$("#xmlids").on("mouseover mouseout",".target-list-item",function(t){const e=$(this).attr("data-ref-target-id"),a="mouseover"===t.type;let n=$("body").find('[data-target-id="'+e+'"]');A(a,$(this),n,"xmids-highlight","target-highlight")}),$("#xmlids").on("mouseover mouseout",".target-list-waka",function(t){const e=$(this).attr("data-ref-target-id"),a="mouseover"===t.type;let n=$("body").find('[data-xmlid="'+e+'"]');A(a,$(this),n,"xmids-highlight","target-highlight")});let C=0;const w={};function S(t,e,n){a[e]={};let o=1,l="["+e+"]";(n||{}).noNeedForData||(l+=",[data-"+e+"]");const r=e.toLowerCase(),d=i===s.MUSHIAWASE&&"corresp"===e,c=i===s.MUSHIAWASE&&"target"===e;t[0].querySelectorAll(l).forEach(function(t){if(d){if($(t).closest("person").length>0)return}const n=t.getAttribute(e)||t.getAttribute("data-"+r);if(n){const s=n.split(" ");if(s.length){const n=t.getAttribute("data-"+r+"-id"),i=n||Math.random().toString(16).substr(2,9)+o;n||(t.setAttribute("data-"+r+"-id",i),o++),s.forEach(function(n){if(n&&(n=n.replace(/^#/,""))){const s={};s[e+"Id"]=i,s.elem=t,c&&(s.type=t.getAttribute("type")),n in a[e]?a[e][n].push(s):a[e][n]=[s]}})}}})}function k(t,e,a){let n=$();return t[0].querySelectorAll("["+a+'~="#'+e+'"],[data-'+a+'~="#'+e+'"]').forEach(function(t){n=n.add($(t))}),n}function E(t){let e;return t.hasAttribute("xml:id")?e=t.getAttribute("xml:id"):t.hasAttribute("data-xmlid")&&(e=t.getAttribute("data-xmlid")),e}function N(e,a,n,o,l,r){if(e){if($(a).addClass(r),i===s.MUSHIAWASE){const t=E(a);if(t){$("body").find('[xml\\:id="'+t+'"],[data-xmlid="'+t+'"]').addClass(r)}}if(n.addClass(r),t.enableGraph){const t=function(t,e,a){"length"in t||(t=[t]);"length"in e||(e=[e]);const n=t.length,s=e.length;let i=[];i=$.isArray(a)?a:[a];let o=i;for(const t of e)if(t){const e=$(t).attr("xml:id");if(e){const t=o.filter(t=>t!==e);o=t}}const l=(i=o).length;let r;if(n>0&&s+l===1){let a="";const n=1===s?e[0]:void 0;1===s&&(r=$(n).attr("xml:id")),r||1!==l||(r=i[0]);const o=M(n,r);for(const e of t){const t=M(e),n=_(e);a+=' "'+t+'" -> "'+o+'" '+n+" \n"}let d="digraph {";return d+="rankdir=LR ",d+=a,d+="}",a?d:""}if(1===n&&s+l>1){let a="";const n=t,s=M(n),o=_(n);for(const t of e){r=t?$(t).attr("xml:id"):i.shift();const e=M(t,r);a+=' "'+s+'" -> "'+e+'" '+o+" \n"}for(const t of i){const e=M(void 0,t);a+=' "'+s+'" -> "'+e+'" '+o+" \n"}let l="digraph {";l+="rankdir=LR ",l+=a,l+="}";const d=a?l:"";return d}return""}(l?a:n,l?n:a,o);if(t){const e="xmlidgraph"+C;$(a).attr("data-xmlidgraphid",e),C++;const n=$("<div>").attr({id:e,role:"alert"}).addClass("dotgraph alert alert-light alert-dismissible fade show");$("#graph_result").prepend(n),d3.select("#"+e).graphviz({zoom:!1}).renderDot(t).on("end",function(){n.append('<button type="button" class="btn-close" aria-label="Close"></button>'),n.append('<button type="button" class="btn svglink" title="グラフの保存（SVG）"><i class="fas fa-download"></i></button>'),n.append('<button type="button" class="btn pnglink" title="グラフの保存（PNG）"><i class="far fa-file-image"></i></button>')})}}}else{if($(a).removeClass(r),i===s.MUSHIAWASE){const t=E(a);if(t){$("body").find('[xml\\:id="'+t+'"],[data-xmlid="'+t+'"]').removeClass(r)}}n.removeClass(r),t.enableGraph&&$("#graph_result").find(".dotgraph").each(function(){const t=$(this).attr("id");t in w||(d3.select("#"+t).selectAll("svg").remove(),d3.select("#"+t).graphviz().destroy(),$(this).remove())})}}function I(t){const e=$(t).clone();return $(e).find("rt").each(function(){$(this).text("")}),$(e).find("rdg,span.rdg").each(function(){$(this).text("")}),$(e).text()}function M(t,e){let a=t?I(t):"";if(a&&(a=a.replace(/\n+/g,"\n").replace(/ +/g," ")),a){const t=a.match(/.{1,20}/g);t&&(a=t.join("\n"))}return e&&(a?a+="\n（"+e+"）":a=c(e,{insertBreakBeforeXmlId:!0}),a||(a="（"+e+"）")),a}function _(e){let a="";if(e){$.isArray(e)&&e.length>0&&(e=e[0]);const n=$(e);let s=n.attr("type")||n.attr("data-type");if(s&&(s in t.typeToGraphLabelMapping&&(s=t.typeToGraphLabelMapping[s]),a='[label="'+s+'"]'),!a){a='[label="'+(n.attr("data-original-tag-name")||e.nodeName.toLowerCase())+'"]'}}return a}$(".body-result").on("mouseover mouseout","[corresp],[data-corresp]",function(t){if(i!==s.MANYO){t.stopPropagation();const e=$(this).attr("corresp")||$(this).attr("data-corresp");if(e){const a=[],n=[];e.split(" ").forEach(function(t){const e=t.replace(/^#/,"");a.push('[xml\\:id="'+e+'"]'),n.push(e)});const s=$("body").find(a.join(","));N("mouseover"===t.type,this,s,n,!0,"corresp-highlight")}}}),$(".body-result").on("mouseover mouseout","[sameAs],[data-sameas]",function(t){if(i!==s.MANYO){t.stopPropagation();const e=($(this).attr("sameAs")||$(this).attr("data-sameas")).replace(/^#/,"");if(e){const a=$("body").find('[xml\\:id="'+e+'"]');N("mouseover"===t.type,this,a,e,!0,"sameas-highlight")}}}),$(".body-result").on("mouseover mouseout","[target],[data-target]",function(t){if(i!==s.MANYO){t.stopPropagation();const e=$(this).attr("target")||$(this).attr("data-target");if(e){const a=[],n=[];e.split(" ").forEach(function(t){const e=t.replace(/^#/,"");a.push('[xml\\:id="'+e+'"]'),n.push(e)});const s=$("body").find(a.join(","));N("mouseover"===t.type,this,s,n,!0,"target-highlight")}}}),$(".body-result").on("mouseover mouseout","[xml\\:id]",function(t){if(i!==s.MANYO){t.stopPropagation();const e=$(this).attr("xml:id");if(e){const a=k($("body"),e,"corresp"),n=$("body").find('[sameAs="#'+e+'"],[data-sameas="#'+e+'"]'),s=!1;N("mouseover"===t.type,this,a.add(n),e,s,"corresp-highlight")}}}),$(".body-result").on("click","[corresp],[data-corresp],[sameAs],[data-sameas],[target],[data-target],[xml\\:id]",function(){const t=$(this).attr("data-xmlidgraphid");t&&(w[t]=!0)}),i===s.MUSHIAWASE&&$(".body-result").on("dblclick","[data-xmlid]",function(){const t=$(this).attr("data-xmlid");if(t){const e=$("body").find('[xml\\:id="'+t+'"],[data-xmlid="'+t+'"]');if(e)for(const t of e)t&&y(t)}}),$("#graph_result").on("click",".dotgraph .btn-close",function(){const t=$(this).parent().attr("id");d3.select("#"+t).selectAll("svg").remove(),d3.select("#"+t).graphviz().destroy(),$(this).parent().remove(),t in w&&delete w[t]}),$("#graph_result").on("click",".dotgraph .svglink",function(){const t=$(this).parent().find("svg");if(t.length>0){const e=$(t[0]).find("title"),a=e.length>0?$(e[0]).text():$(this).parent().attr("id"),n=(new XMLSerializer).serializeToString(t[0]),s=new Blob([n],{type:"image/svg+xml"}),i=a+".svg",o=URL.createObjectURL(s),l=document.createElement("a");l.href=o,l.download=i,document.body.appendChild(l),l.click(),document.body.removeChild(l),URL.revokeObjectURL(o)}}),$("#graph_result").on("click",".dotgraph .pnglink",function(){const t=$(this).parent().find("svg");if(t.length>0){const e=$(t[0]).find("title"),a=e.length>0?$(e[0]).text():$(this).parent().attr("id"),n=(new XMLSerializer).serializeToString(t[0]),s="data:image/svg+xml;charset=utf-8;base64,"+btoa(unescape(encodeURIComponent(n))),i=new Image;i.addEventListener("load",function(){const e=document.createElement("canvas");e.width=t[0].width.baseVal.value,e.height=t[0].height.baseVal.value,e.getContext("2d").drawImage(i,0,0);const n=a+".png",s=document.createElement("a");s.href=e.toDataURL("image/png"),s.download=n,document.body.appendChild(s),s.click(),document.body.removeChild(s)}),i.src=s}}),$(".body-result").on("mouseover mouseout","figure",function(e){if(e.stopPropagation(),"mouseover"===e.type){if($(this).addClass("figure-highlight"),t.enableGraph){const t=function(t){let e=0;function a(t){let a;t.hasAttribute("n")?a=t.getAttribute("n"):(a=(e++).toString(),t.setAttribute("n",a));const n=$(t).children("label");return n.length>0?{nodename:"node"+a.replace(/\./g,"_"),nodelabel:'[label="'+n[0].textContent+'"]'}:null}let n="";return function t(e){let s;if("etree"===e.nodeName.toLowerCase()){const t=a(e);if(t){n+=t.nodename+t.nodelabel+"\n",s=t.nodename;const i=$(e).parent().get(0);if(i&&"etree"===i.nodeName.toLowerCase()){const e=a(i);e&&(n+=e.nodename+" -> "+t.nodename+"\n")}}}if(e.hasChildNodes()){let i=e.childNodes;for(const e of i){const i=e.nodeName.toLowerCase();if("etree"===i)t(e);else if("eleaf"===i){const t=a(e);t&&(n+=t.nodename+t.nodelabel+"\n",n+=s+" -> "+t.nodename+"\n")}}}}(t),n?n="digraph {"+n+"}":""}(this);if(t){const e="xmlidgraph"+C;$(this).attr("data-xmlidgraphid",e),C++;const a=$("<div>").attr({id:e,role:"alert"}).addClass("dotgraph alert alert-light alert-dismissible fade show");$("#graph_result").prepend(a),d3.select("#"+e).graphviz({zoom:!1}).renderDot(t).on("end",function(){a.append('<button type="button" class="btn-close" aria-label="Close"></button>'),a.append('<button type="button" class="btn svglink" title="グラフの保存（SVG）"><i class="fas fa-download"></i></button>'),a.append('<button type="button" class="btn pnglink" title="グラフの保存（PNG）"><i class="far fa-file-image"></i></button>')})}}}else $(this).removeClass("figure-highlight"),t.enableGraph&&$("#graph_result").find(".dotgraph").each(function(){const t=$(this).attr("id");t in w||(d3.select("#"+t).selectAll("svg").remove(),d3.select("#"+t).graphviz().destroy(),$(this).remove())})}),$(".body-result").on("click","figure",function(){const t=$(this).attr("data-xmlidgraphid");t&&(w[t]=!0)});let O=null;$(".body-result,#bottom_result,#xmlids").on("click",".fac-iiif[data-facs-targetid]",function(){const a=$(this).attr("data-facs-targetid"),l=n;if(l in e&&a in e[l]){const n=e[l][a];if(n.manifest){const a=new URL("https://seal.dhii.jp/sealdb/icve/");let l,r={manifest:n.manifest};if(n.canvas){r.canvas=n.canvas;let t=[];const e=n.ulx||0,a=n.uly||0,s=(n.lrx||0)-(n.ulx||0),i=(n.lry||0)-(n.uly||0);s>0&&i>0&&(t=[e,a,s,i],r.canvas+="#xywh="+t.join(","))}if(a.search=new URLSearchParams(r),$("#right_panel").find("#icveframe").each(function(){t.useOpenSeadragon?(O.destroy(),$("#iiif_image").remove()):(l=!0,$(this).attr("src",a))}),!l){const l=$("<div>"),r=$('<span style="font-weight:bold;padding:5px 0;margin:0 5px 0 0;">').text("en"===o?"IIIF Image":"IIIF画像"),d=$('<a style="padding:0;">').attr("href","javascript:void(0);").addClass("float-end btn btn-sm").text("en"===o?"Close":"閉じる");d.on("click",function(){c.remove(),i===s.MUSHIAWASE&&Object.keys(e).length>0&&$("#xmlids").css({height:"635px"})}),l.append(r).append(d);const c=$("<div>").attr("id","iiif_image").append(l),p=t.useOpenSeadragon?$('<div id="icveframe" class="my-2">'):$('<iframe id="icveframe" class="my-2">');p.css("width","100%"),p.css("height","400px"),t.openSeadragon.highlight||p.addClass("no-border"),c.append(p),i===s.MUSHIAWASE?c.prependTo($("#right_panel")):c.insertAfter($("#input1")),t.useOpenSeadragon?(O=OpenSeadragon({id:"icveframe",prefixUrl:"lib/openseadragon-4.1.1/images/",preserveViewport:!0,visibilityRatio:1,minZoomLevel:1,defaultZoomLevel:1,sequenceMode:!1,showHomeControl:!1,showFullPageControl:!1,tileSources:n.canvasInfo+"/info.json"})).addHandler("open",function(){let t=parseFloat(n.ulx||0),e=parseFloat(n.uly||0),a=parseFloat(n.lrx||0)-t,s=parseFloat(n.lry||0)-e,i=n.points;if(i){if(n.canvasSize&&n.canvasSize.width>0&&n.canvasSize.height>0&&n.canvasInfoSize&&n.canvasInfoSize.width>0&&n.canvasInfoSize.height>0){const t=n.canvasSize.width/n.canvasInfoSize.width,e=n.canvasSize.height/n.canvasInfoSize.height,a=[];i.split(" ").forEach(function(n){const s=n.match(/(-?[0-9]+(?:\.[0-9]+)?),(-?[0-9]+(?:\.[0-9]+)?)/);if(s){const n=parseFloat(s[1])*t,i=parseFloat(s[2])*e;a.push(n+","+i)}}),i=a.join(" ")}}else i=t+","+e+" ",i+=t+a+","+e+" ",i+=t+a+","+(e+s)+" ",i+=t+","+(e+s);if(i){var o=OpenSeadragon.Annotorious(O);const t={"@context":"http://www.w3.org/ns/anno.jsonld",id:"#a88b22d0-6106-4872-9435-c78b5e89fede",type:"Annotation",body:[],target:{selector:{type:"SvgSelector",value:'<svg><polygon points="'+i+'"></polygon></svg>'}}};o.disableEditor=!0,o.disableSelect=!0,o.readOnly=!0,o.addAnnotation(t,!1),o.fitBounds(t,{immediately:!0,padding:20})}}):p.attr("src",a),i===s.MUSHIAWASE&&Object.keys(e).length>0&&$("#xmlids").css({height:"188.5px"})}}}}),$(".body-result").on("click",".facs-iiif[data-facs-targetids]",function(){const a=$(this).attr("data-facs-targetids").split(" "),s=n;if(s in e&&t.useOpenSeadragon){const n=[];for(const t of a)if(t in e[s]){const a=e[s][t];a.manifest&&n.push(a)}if(n.length){$("#right_panel").find("#icveframe").each(function(){O.destroy(),$("#iiif_image").remove()});const e=$("<div>"),a=$('<span style="font-weight:bold;padding:5px 0;margin:0 5px 0 0;">').text("en"===o?"IIIF Image":"IIIF画像"),s=$('<a style="padding:0;">').attr("href","javascript:void(0);").addClass("float-end btn btn-sm").text("en"===o?"Close":"閉じる");s.on("click",function(){i.remove()}),e.append(a).append(s);const i=$("<div>").attr("id","iiif_image").append(e),l=$('<div id="icveframe" class="my-2">');l.css("width","100%"),l.css("height","400px"),t.openSeadragon.highlight||l.addClass("no-border"),i.append(l),i.insertAfter($("#input1")),(O=OpenSeadragon({id:"icveframe",prefixUrl:"lib/openseadragon-4.1.1/images/",preserveViewport:!0,visibilityRatio:1,minZoomLevel:1,defaultZoomLevel:1,sequenceMode:!1,showHomeControl:!1,showFullPageControl:!1,tileSources:n[0].canvasInfo+"/info.json"})).addHandler("open",function(){const t=new ConvexHullGrahamScan,e=[];for(const a of n){let n=parseFloat(a.ulx||0),s=parseFloat(a.uly||0),i=parseFloat(a.lrx||0)-n,o=parseFloat(a.lry||0)-s,l=a.points;if(l){if(a.canvasSize&&a.canvasSize.width>0&&a.canvasSize.height>0&&a.canvasInfoSize&&a.canvasInfoSize.width>0&&a.canvasInfoSize.height>0){const e=a.canvasSize.width/a.canvasInfoSize.width,n=a.canvasSize.height/a.canvasInfoSize.height,s=[];l.split(" ").forEach(function(a){const i=a.match(/(-?[0-9]+(?:\.[0-9]+)?),(-?[0-9]+(?:\.[0-9]+)?)/);if(i){const a=parseFloat(i[1])*e,o=parseFloat(i[2])*n;s.push(a+","+o),t.addPoint(a,o)}}),l=s.join(" ")}}else l=n+","+s+" ",l+=n+i+","+s+" ",l+=n+i+","+(s+o)+" ",l+=n+","+(s+o),t.addPoint(n,s),t.addPoint(n+i,s),t.addPoint(n+i,s+o),t.addPoint(n,s+o);l&&e.push(l)}if(e.length){var a=OpenSeadragon.Annotorious(O,{disableEditor:!0,disableSelect:!0,readOnly:!0});for(const t of e){const e={"@context":"http://www.w3.org/ns/anno.jsonld",id:"#"+URL.createObjectURL(new Blob).slice(-36),type:"Annotation",body:[],target:{selector:{type:"SvgSelector",value:'<svg><polygon points="'+t+'"></polygon></svg>'}}};a.addAnnotation(e,!1)}{const e=t.getHull(),a=[];for(const t of e)a.push(t.x+","+t.y);const n=a.join(" ");var s=OpenSeadragon.Annotorious(O,{disableEditor:!0,disableSelect:!0,readOnly:!0,formatters:function(){return"no-border"}});const i={"@context":"http://www.w3.org/ns/anno.jsonld",id:"#"+URL.createObjectURL(new Blob).slice(-36),type:"Annotation",body:[],target:{selector:{type:"SvgSelector",value:'<svg><polygon points="'+n+'"></polygon></svg>'}}};s.addAnnotation(i,!1),s.fitBounds(i,{immediately:!0,padding:20})}}})}}}),i===s.MUSHIAWASE&&$("#body_result,#body_result2").on("wheel",function(t){const e=t.originalEvent;Math.abs(e.deltaY)<Math.abs(e.deltaX)||(e.preventDefault(),this.scrollLeft-=e.deltaY)})};